package com.jpsoft.shinestar.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.base.entity.MeetingInfo;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface MeetingInfoService {
	MeetingInfo get(String id);
	boolean exist(String id);
	int insert(MeetingInfo model);
	int insertAndPerson(MeetingInfo model);
	int update(MeetingInfo model);
	int updateAndPerson(MeetingInfo model);
	int delete(String id);
	List<MeetingInfo> list();
	List<MeetingInfo> notEndList();
	Page<MeetingInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
}